Name:           kimap2
Version:        0.1
Release:        1%{?dist}
Summary:        The KIMAP2 Library

License:        GPLv2+
URL:            https://projects.kde.org/projects/kde/pim/kimap2

Source0:        kimap2-%{version}.tar.gz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  boost-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  kf5-kcodecs-devel

BuildRequires:  kf5-kcoreaddons-devel >= 5.15

BuildRequires:  kmime-devel

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kcoreaddons-devel
Requires:       kmime-devel
Requires:       boost-devel
Requires:       cyrus-sasl-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n kimap2-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING.LIB
%{_libdir}/libKIMAP2.so.*

%files devel
%{_includedir}/kimap2_version.h
%{_includedir}/kimap2
%{_includedir}/KIMAP2
%{_libdir}/libKIMAP2.so
%{_libdir}/cmake/KIMAP2
%{_libdir}/qt5/mkspecs/modules/qt_KIMAP2.pri


%changelog
* Mon Dec 12 2016 Christian Mollekopf <mollekopf@kolabsys.com> - 0.1-1
- kimap2 0.1
